**Purpose**:
The purpose of this workflow is to illustrate the process of expanding storage for a Linux server acting as a GuestVM.  We want the VM to have more storage space, so this document will go over the steps to expand that usable space.

!!! info "Assumptions"
    It is assumed you are using a RHEL variant of linux such as Rocky Linux.  This should apply to any version of Linux, but was written in a Rocky Linux 9.4 lab environment.

    This document also assumes you did not enable Logical Volume Management (LVM) when deploying your server.  If you did, you will need to perform additional (undocumented) LVM-specific steps after increasing the space following this document.

## Increase GuestVM Virtual Disk Size
This part should be fairly straight-forward.  Using whatever hypervisor is running the Linux GuestVM, expand the disk space of the disk to the desired size.

## Extend Partition Table
This step goes over how to increase the usable space of the virtual disk within the GuestVM itself after it was expanded.

!!! warning "Be Careful"
    When you follow these steps, you will be deleting the existing partition and immediately re-creating it.  If you do not use the **EXACT SAME** starting sector for the new partition, you will destroy data.

``` sh
sudo dnf install gdisk -y
gdisk /dev/<diskNumber> # (1)
p <ENTER> # (2)
d <ENTER> # (3)
```

1.  The first command needs you to enter the disk identifier.  In most cases, this will likely be the first disk, such as `/dev/sda`.  You do not need to indicate a partition number in this step, as you will be asked for one in a later step after identifying all of the partitions on this disk in the next command.
2.  This will list all of the partitions on the disk.
3.  This will ask you for a partition number to delete.  Generally this is the last partition number listed.  In the example below, you would type `4` then press <ENTER> to schedule the deletion of the partition.
    ```
    Command (? for help): p
    Disk /dev/sda: 2147483648 sectors, 1024.0 GiB
    Model: Virtual Disk
    Sector size (logical/physical): 512/4096 bytes
    Disk identifier (GUID): 8A5C2469-B07B-42AC-8E57-E756E62D37D1
    Partition table holds up to 128 entries
    Main partition table begins at sector 2 and ends at sector 33
    First usable sector is 34, last usable sector is 2147483614
    Partitions will be aligned on 2048-sector boundaries
    Total free space is 1073743838 sectors (512.0 GiB)

    Number  Start (sector)    End (sector)  Size       Code  Name
    1            2048         1230847   600.0 MiB   EF00  EFI System Partition
    2         1230848         3327999   1024.0 MiB  8300
    3         3328000        19826687   7.9 GiB     8200
    4        19826688      1073741790   502.5 GiB   8300  Linux filesystem
    ```